# -*- encoding: utf-8 -*-

require File.expand_path('../lib/customresource/route53/version', __FILE__)

Gem::Specification.new do |gem|
  gem.name          = 'customresource-route53'
  gem.version       = CustomResource::Route53::VERSION
  gem.summary       = %q{An action command for aws-cfn-resource-bridge to implement CloudFormation custom resources}
  gem.description   = %q{An action command for aws-cfn-resource-bridge to implement CloudFormation custom resources}
  gem.license       = 'Apachev2'
  gem.authors       = ['Christo De Lange']
  gem.email         = 'rubygems@dldinternet.com'
  gem.homepage      = 'https://rubygems.org/gems/customresource-route53'

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.add_development_dependency  'bundler', '~> 1.0'
  gem.add_development_dependency  'rake', '~> 10'
  gem.add_development_dependency  'rubygems-tasks', '~> 0.2'

  gem.add_dependency              'thor', '~> 0.19'
  gem.add_dependency              'awesome_print', '~> 1.2'
  gem.add_dependency              'colorize', '~> 0.7.3'
  gem.add_dependency              'aws-sdk-core', '~> 2.0'
  gem.add_dependency              'inifile', '~> 3'
  gem.add_dependency              'dldinternet-mixlib-thor-nocommands', '~> 0.2'
  gem.add_dependency              'dldinternet-mixlib-logging', '~> 0.4'
  gem.add_dependency              'ipaddress', '~> 0.8'
  gem.add_dependency              'customresource-base', '~> 0'

end
